#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gexiv2-0.14.0

- Next

  Zenity-3.32.0

- Up
- Home

# Nautilus-41.2

## Introduction to Nautilus

The Nautilus package contains the GNOME file manager.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/nautilus/41/nautilus-41.2.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/nautilus/41/nautilus-41.2.tar.xz

- Download MD5 sum: 752b0d767a3f7e74ec36d5b7c67e6dfd

- Download size: 3.1 MB

- Estimated disk space required: 160 MB (with tests)

- Estimated build time: 0.3 SBU (with tests, at -j4)

### Nautilus Dependencies

#### Required

bubblewrap-0.5.0, gexiv2-0.14.0, gnome-autoar-0.4.3, gnome-desktop-41.3, libhandy-1.4.0, libnotify-0.7.9, libseccomp-2.5.3, and tracker-miners-3.2.1

#### Recommended

desktop-file-utils-0.26, Exempi-2.6.1, gobject-introspection-1.70.0, gst-plugins-base-1.20.0, libexif-0.6.24, and libportal-0.5

#### Optional

GTK-Doc-1.33.2

#### Recommended (Runtime)

adwaita-icon-theme-41.0 and Gvfs-1.48.1 (For hotplugging and device mounting to work)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/nautilus

## Installation of Nautilus

Fix an issue building Nautilus with libportal-0.5 or later:

    sed "/dependency/s@'libportal'@'libportal-gtk3'@" -i meson.build
    sed "/portal-gtk3/s@portal/@portal-gtk3/@" -i src/nautilus-files-view.c

Install Nautilus by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr       \
          --buildtype=release \
          -Dselinux=false     \
          -Dpackagekit=false  \
          .. &&

    ninja

To test the results, issue: ninja test. The tests need to be run in a graphical environment.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dselinux=false`: This switch disables the use of selinux which isn't supported by BLFS.

`-Dpackagekit=false`: This switch disables the use of PackageKit which isn't suitable for BLFS.

`-Dlibportal=false`: Use this switch if you do not have libportal-0.5 installed.

## Contents

Installed Programs: nautilus and nautilus-autorun-software
Installed Library: libnautilus-extension.so
Installed Directories: /usr/{include,lib,share}/nautilus, /usr/share/gnome-shell/search-providers, and /usr/share/gtk-doc/html/libnautilus-extension (optional)

### Short Descriptions

nautilus | is the GNOME file manager
`libnautilus-extension.so` | supplies the functions needed by the file manager extensions

Last updated on

- Prev

  gexiv2-0.14.0

- Next

  Zenity-3.32.0

- Up
- Home